class STFT(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  def forward(self: __torch__.speechbrain.processing.features.STFT,
    x: Tensor) -> Tensor:
    window = torch.to(CONSTANTS.c0, dtype=6, layout=0, device=torch.device("cuda:0"))
    _0 = ops.prim.NumToTensor(torch.size(x, 0))
    _1 = int(_0)
    _2 = ops.prim.NumToTensor(torch.size(x, 1))
    input = torch.pad(torch.view(x, [1, _1, int(_2)]), [200, 200])
    _3 = ops.prim.NumToTensor(torch.size(input, 1))
    _4 = int(_3)
    _5 = ops.prim.NumToTensor(torch.size(input, 2))
    input0 = torch.view(input, [_4, int(_5)])
    stft = torch.stft(input0, 400, 160, 400, window, False, True, True)
    stft0 = torch.view_as_real(stft)
    return torch.transpose(stft0, 2, 1)
class Filterbank(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  def forward(self: __torch__.speechbrain.processing.features.Filterbank,
    spectrogram: Tensor) -> Tensor:
    _6 = ops.prim.NumToTensor(torch.size(CONSTANTS.c1, 1))
    _7 = torch.repeat(CONSTANTS.c2, [int(_6), 1])
    f_central = torch.transpose(_7, 0, 1)
    _8 = ops.prim.NumToTensor(torch.size(CONSTANTS.c1, 1))
    _9 = torch.repeat(CONSTANTS.c3, [int(_8), 1])
    band = torch.transpose(_9, 0, 1)
    slope = torch.div(torch.sub(CONSTANTS.c1, f_central), band)
    left_side = torch.add(slope, CONSTANTS.c4)
    right_side = torch.add(torch.neg(slope), CONSTANTS.c4)
    zero = torch.zeros([1], dtype=None, layout=None, device=torch.device("cpu"), pin_memory=False)
    _10 = torch.max(zero, torch.min(left_side, right_side))
    fbank_matrix = torch.to(torch.transpose(_10, 0, 1), dtype=6, layout=0, device=torch.device("cuda:0"))
    x = torch.matmul(spectrogram, fbank_matrix)
    x_db = torch.mul(torch.log10(torch.clamp(x, 1e-10)), CONSTANTS.c5)
    x_db0 = torch.sub_(x_db, CONSTANTS.c6)
    new_x_db_max = torch.sub(torch.amax(x_db0, [-2, -1]), CONSTANTS.c7)
    _11 = ops.prim.NumToTensor(torch.size(x_db0, 0))
    _12 = torch.view(new_x_db_max, [int(_11), 1, 1])
    return torch.max(x_db0, _12)
class Deltas(Module):
  __parameters__ = []
  __buffers__ = ["kernel", ]
  kernel : Tensor
  training : bool
  _is_full_backward_hook : Optional[bool]
class ContextWindow(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
class InputNormalization(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  def forward(self: __torch__.speechbrain.processing.features.InputNormalization,
    argument_1: Tensor,
    lengths: Tensor) -> NoneType:
    _13 = torch.sub(torch.select(argument_1, 0, 0), CONSTANTS.c8)
    _14 = torch.div(_13, CONSTANTS.c9)
    _15 = torch.copy_(torch.select(argument_1, 0, 0), _14)
    return None
